Last Comment Bug 576885 - AIX compilation error in media/libvorbis/lib
: AIX compilation error in media/libvorbis/lib
Status: RESOLVED FIXED
: verified1.9.1, verified1.9.2
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: 1.9.1 Branch
: PowerPC AIX
: -- normal (vote)
: ---
Assigned To: Uli Link (:ul-mcamafia)
:
:
Mentors:
Depends on:
Blocks: 576887
  Show dependency treegraph
 
Reported: 2010-07-04 12:25 PDT by Uli Link (:ul-mcamafia)
Modified: 2010-08-23 04:47 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.9-fixed
.12-fixed


Attachments
Fixes AIX compilation errors for branches 1.9.1 and 1.9.2 (438 bytes, patch)
2010-07-04 12:27 PDT, Uli Link (:ul-mcamafia)
cajbir.bugzilla: review+
dveditz: approval1.9.2.9+
dveditz: approval1.9.1.12+
Details | Diff | Splinter Review

Description Uli Link (:ul-mcamafia) 2010-07-04 12:25:18 PDT
Missing flag for alloca()
Comment 1 Uli Link (:ul-mcamafia) 2010-07-04 12:27:52 PDT
Created attachment 455971 [details] [diff] [review]
Fixes AIX compilation errors for branches 1.9.1 and 1.9.2

Patch for branches 1.9.1 and 1.9.2 only
Comment 2 Uli Link (:ul-mcamafia) 2010-07-15 00:20:49 PDT
Comment on attachment 455971 [details] [diff] [review]
Fixes AIX compilation errors for branches 1.9.1 and 1.9.2

Risc: None, only for AIX an additional compiler flag is appended.
Comment 3 Daniel Veditz [:dveditz] 2010-08-06 10:46:57 PDT
Comment on attachment 455971 [details] [diff] [review]
Fixes AIX compilation errors for branches 1.9.1 and 1.9.2

Approved for 1.9.2.9 and 1.9.1.12, a=dveditz for release-drivers
Comment 4 Uli Link (:ul-mcamafia) 2010-08-06 11:32:37 PDT
Hmmm, there is a little conflict with the fixes of Bug 533822
in branch 1.9.2 update.sh and README_MOZILLA files. So I will adjust/recreate the patch for branch 1.9.2. The patched sources itself have cleanly applied.
Comment 5 Uli Link (:ul-mcamafia) 2010-08-06 11:33:42 PDT
Ignore comment #4, belongs to different bug. Sorry
Comment 7 Daniel Veditz [:dveditz] 2010-08-22 00:19:27 PDT
This appears to be a branch-only bug -> FIXED
Comment 8 Uli Link (:ul-mcamafia) 2010-08-23 04:47:53 PDT
Verified on AIX for the affected branches 1.9.1 and 1.9.2

Note You need to log in before you can comment on or make changes to this bug.